Rem
Rem $Header: rdbms/admin/rdbms_preapply.sql apfwkr_blr_backport_33795989_19.22.0.0.240116dbru/2 2023/12/14 03:05:44 apfwkr Exp $
Rem
Rem rdbms_preapply.sql.sql
Rem
Rem Copyright (c) 2018, 2023, Oracle and/or its affiliates.
Rem All rights reserved.
Rem
Rem    NAME
Rem      rdbms_preapply.sql.sql - RDBMS PREAPPLY for "c" script backports
Rem
Rem    DESCRIPTION
Rem      This script will be filled in as transactions are backported 
Rem      to this release from subsequent releases. The script is invoked 
Rem      in the upgrade scripts for this release, so that the bug fix actions 
Rem      will be applied during upgrades from prior releases.
Rem
Rem    NOTES
Rem      In MAIN, this script remains a skeleton script that is shipped
Rem      with every initial RELEASE.   As a release ages, all upgrade 
Rem      actions for bug fixes that include an "c" upgrade script will 
Rem      be included in this file.
Rem 
Rem      When a bug fix with changes to an upgrade script is backported
Rem      to a prior release, the APF merges the transaction to the target
Rem      release.  During the merge processing, the APF will populate this
Rem      script with invocations of bug_apply scripts that have a SQL_PHASE 
Rem      value of RDBMS_PREAPPLY.
Rem
Rem    BEGIN SQL_FILE_METADATA
Rem    SQL_SOURCE_FILE: rdbms/admin/rdbms_preapply.sql
Rem    SQL_SHIPPED_FILE: rdbms/admin/rdbms_preapply.sql
Rem    SQL_PHASE: UPGRADE
Rem    SQL_STARTUP_MODE: UPGRADE
Rem    SQL_IGNORABLE_ERRORS: NONE
Rem    END SQL_FILE_METADATA
Rem
Rem    MODIFIED   (MM/DD/YY)
Rem    apfwkr      12/14/23 - apfwkr_blr_backport_33795989_19.22.0.0.240116dbru
Rem    apfwkr      12/14/23 - BLR# 36106387 of
Rem    apfwkr      12/14/23 - apfwkr_blr_backport_33795989_19.21.0.0.231017dbru
Rem    apfwkr      12/14/23 - from st_rdbms_19.21.0.0.0dbru.
Rem    apfwkr      12/14/23 - BLR# 36106387
Rem                           apfwkr_blr_backport_33795989_19.22.0.0.240116dbru
Rem    apfwkr      07/10/23 - apfwkr_blr_backport_35480864_19.17.0.0.221018dbru
Rem    apfwkr      08/28/23 - CI# 35750593 of
Rem    apfwkr      08/28/23 - apfwkr_blr_backport_35480864_19.17.0.0.221018dbru
Rem    apfwkr      08/28/23 - from st_rdbms_19.17.0.0.0dbru.
Rem    apfwkr      08/28/23 - CI# 35750593
Rem                           apfwkr_ci_backport_35480864_19.0.0.0.0dbru
Rem    yingzhen    06/27/23 - apfwkr_ci_backport_34733173_19.0.0.0.0dbru
Rem    apfwkr      10/01/23 - apfwkr_blr_backport_33795989_19.21.0.0.231017dbru
Rem    apfwkr      10/01/23 - BLR# 35859917 of
Rem    apfwkr      10/01/23 - apfwkr_blr_backport_33795989_19.20.0.0.230718dbru
Rem    apfwkr      10/01/23 - from st_rdbms_19.20.0.0.0dbru.
Rem    apfwkr      10/01/23 - BLR# 35859917
Rem                           apfwkr_blr_backport_33795989_19.21.0.0.231017dbru
Rem    apfwkr      06/02/23 - apfwkr_ci_backport_35432001_19.0.0.0.0dbru
Rem    apfwkr      04/24/23 - apfwkr_blr_backport_35161640_19.16.0.0.220719dbru
Rem    apfwkr      05/21/23 - CI# 35413192 of
Rem    apfwkr      05/21/23 - apfwkr_blr_backport_35161640_19.16.0.0.220719dbru
Rem    apfwkr      05/21/23 - from st_rdbms_19.16.0.0.0dbru.
Rem    apfwkr      05/21/23 - CI# 35413192
Rem                           apfwkr_ci_backport_35161640_19.0.0.0.0dbru
Rem    apfwkr      07/03/23 - apfwkr_blr_backport_33795989_19.20.0.0.230718dbru
Rem    apfwkr      07/03/23 - BLR# 35558705 of
Rem    apfwkr      07/03/23 - apfwkr_blr_backport_33795989_19.19.0.0.230418dbru
Rem    apfwkr      07/03/23 - from st_rdbms_19.19.0.0.0dbru.
Rem    apfwkr      07/03/23 - BLR# 35558705
Rem                           apfwkr_blr_backport_33795989_19.20.0.0.230718dbru
Rem    apfwkr      03/31/23 - apfwkr_blr_backport_33795989_19.19.0.0.230418dbru
Rem    apfwkr      03/31/23 - BLR# 35236227 of
Rem    apfwkr      03/31/23 - apfwkr_blr_backport_33795989_19.18.0.0.230117dbru
Rem    apfwkr      03/31/23 - from st_rdbms_19.18.0.0.0dbru.
Rem    apfwkr      03/31/23 - BLR# 35236227
Rem    apfwkr      03/31/23 - apfwkr_blr_backport_33795989_19.19.0.0.230418dbru
Rem    apfwkr      09/05/22 - ffegonza_ci_backport_acchkontables_19.0.0.0.0dbru
Rem    apfwkr      12/27/22 - apfwkr_blr_backport_33795989_19.18.0.0.230117dbru
Rem    apfwkr      12/27/22 - BLR# 34932558 of
Rem    apfwkr      12/27/22 - apfwkr_blr_backport_33795989_19.17.0.0.221018dbru
Rem    apfwkr      12/27/22 - from st_rdbms_19.17.0.0.0dbru.
Rem    apfwkr      12/27/22 - BLR# 34932558
Rem    apfwkr      12/27/22 - apfwkr_blr_backport_33795989_19.18.0.0.230117dbru
Rem    pacornej    08/02/22 - apfwkr_ci_backport_32880490_19.0.0.0.0dbru
Rem    apfwkr      09/28/22 - apfwkr_blr_backport_33795989_19.17.0.0.221018dbru
Rem    apfwkr      09/28/22 - BLR# 34649149 of
Rem    apfwkr      09/28/22 - apfwkr_blr_backport_33795989_19.16.0.0.220719dbru
Rem    apfwkr      09/28/22 - from st_rdbms_19.16.0.0.0dbru.
Rem    apfwkr      09/28/22 - BLR# 34649149
Rem    apfwkr      09/28/22 - apfwkr_blr_backport_33795989_19.17.0.0.221018dbru
Rem    apfwkr      06/16/22 - apfwkr_ci_backport_34090927_19.0.0.0.0dbru
Rem    apfwkr      06/13/22 - Backport
Rem                           apfwkr_blr_backport_28971177_19.8.0.0.200714dbru
Rem                           from st_rdbms_19.8.0.0.0dbru
Rem    apfwkr      06/08/22 - Backport
Rem                           apfwkr_blr_backport_28971177_19.15.0.0.220419dbru
Rem                           from st_rdbms_19.15.0.0.0dbru
Rem    apfwkr      07/21/22 - apfwkr_blr_backport_33795989_19.16.0.0.220719dbru
Rem    apfwkr      07/21/22 - BLR# 34409935 of
Rem    apfwkr      07/21/22 - apfwkr_blr_backport_33795989_19.14.0.0.220118dbru
Rem    apfwkr      07/21/22 - from st_rdbms_19.14.0.0.0dbru.
Rem    apfwkr      07/21/22 - BLR# 34409935
Rem    apfwkr      07/21/22 - apfwkr_blr_backport_33795989_19.16.0.0.220719dbru
Rem    apfwkr      01/06/22 - Backport
Rem                           apfwkr_blr_backport_32258388_19.13.0.0.211019dbru
Rem                           from st_rdbms_19.13.0.0.0dbru
Rem    apfwkr      11/08/21 - apfwkr_blr_backport_32258388_19.13.0.0.211019dbru
Rem    apfwkr      02/24/22 - Backport
Rem                           apfwkr_blr_backport_32258388_19.11.0.0.210420dbru
Rem                           from st_rdbms_19.11.0.0.0dbru
Rem    apfwkr      03/18/22 - Backport
Rem                           apfwkr_blr_backport_28971177_19.14.0.0.220118dbru
Rem                           from st_rdbms_19.14.0.0.0dbru
Rem    apfwkr      12/22/21 - apfwkr_ci_backport_29524043_19.0.0.0.0dbru
Rem    apfwkr      12/11/21 - apfwkr_ci_backport_33651003_19.0.0.0.0dbru
Rem    pamalik     12/26/21 - revert 29370363 from 19.0
Rem    apfwkr      12/16/21 - apfwkr_ci_backport_30518114_19.0.0.0.0dbru
Rem    apfwkr      12/16/21 - apfwkr_ci_backport_32012400_19.0.0.0.0dbru
Rem    apfwkr      11/09/20 - apfwkr_blr_backport_32012400_19.7.0.0.200414dbru
Rem    apfwkr      12/16/21 - Backport
Rem                           apfwkr_blr_backport_32012400_19.7.0.0.200414dbru
Rem                           from st_rdbms_19.7.0.0.0dbru
Rem    aquinto     04/08/21 - backport 31113455
Rem    apfwkr      02/15/22 - Backport
Rem                           apfwkr_blr_backport_28971177_19.11.0.0.210420dbru
Rem                           from st_rdbms_19.11.0.0.0dbru
Rem    apfwkr      06/23/22 - apfwkr_blr_backport_33795989_19.14.0.0.220118dbru
Rem    cmlim       10/01/21 - backout apfwkr_ci_backport_30387640_19.0.0.0.0dbru
Rem    apfwkr      08/17/21 - Backport
Rem                           apfwkr_blr_backport_31639082_19.8.0.0.200714dbru
Rem                           from st_rdbms_19.8.0.0.0dbru
Rem    apfwkr      07/27/21 - apfwkr_ci_backport_32610271_19.0.0.0.0dbru
Rem    apfwkr      07/27/21 - Backport
Rem                           apfwkr_blr_backport_32610271_19.8.0.0.200714dbru
Rem                           from st_rdbms_19.8.0.0.0dbru
Rem    apfwkr      07/15/21 - Backport
Rem                           apfwkr_blr_backport_29370363_19.8.0.0.200714dbru
Rem                           from st_rdbms_19.8.0.0.0dbru
Rem    sfeinste    05/25/21 - sfeinste_bkpt_bug-32003908_19.0.0.0.0
Rem    tchorma     09/29/20 - tchorma_bkpt_bug-31926848_19.0.0.0.0
Rem    cmlim       05/23/21 - cmlim_blr_backport_30387640_19.10.0.0.210119dbru
Rem    apfwkr      06/14/21 - Backport
Rem                           cmlim_blr_backport_30387640_19.10.0.0.210119dbru
Rem                           from st_rdbms_19.10.0.0.0dbru
Rem    tchorma     04/27/21 - rollback fix for bug 31926848
Rem    apfwkr      02/08/21 - apfwkr_blr_backport_29541929_19.10.0.0.210119dbru
Rem    apfwkr      03/07/21 - Backport
Rem                           apfwkr_blr_backport_29541929_19.10.0.0.210119dbru
Rem                           from st_rdbms_19.10.0.0.0dbru
Rem    apfwkr      04/12/21 - Backport
Rem                           apfwkr_blr_backport_31926848_19.11.0.0.210420dbru
Rem                           from st_rdbms_19.11.0.0.0dbru
Rem    apfwkr      01/13/21 - apfwkr_blr_backport_30310195_19.9.0.0.201020dbru
Rem    apfwkr      03/08/21 - Backport
Rem                           apfwkr_blr_backport_30310195_19.9.0.0.201020dbru
Rem                           from st_rdbms_19.9.0.0.0dbru
Rem    apfwkr      03/18/21 - Backport
Rem                           apfwkr_blr_backport_32252294_19.8.0.0.200714dbru
Rem                           from st_rdbms_19.8.0.0.0dbru
Rem    apfwkr      04/05/21 - Backport apfwkr_blr_backport_31926848_19.0.0.0.0
Rem                           from st_rdbms_19.2
Rem    apfwkr      03/26/21 - Backport
Rem                           apfwkr_blr_backport_28971177_19.10.0.0.210119dbru
Rem                           from st_rdbms_19.10.0.0.0dbru
Rem    sdball      01/26/21 - XbranchMerge sdball_labfix20 from
Rem                           st_rdbms_19.10.0.0.0dbru
Rem    apfwkr      02/08/21 - Backport
Rem                           apfwkr_blr_backport_28971177_19.8.0.0.200714dbru
Rem                           from st_rdbms_19.8.0.0.0dbru
Rem    apfwkr      10/12/20 - apfwkr_ci_backport_31816631_19.0.0.0.0dbru
Rem    apfwkr      10/02/20 - apfwkr_ci_backport_31760592_19.0.0.0.0dbru
Rem    apfwkr      07/08/20 - apfwkr_ci_backport_30952191_19.0.0.0.0dbru
Rem    alestrel    05/05/20 - alestrel_bkpt_bug-31001455_19.0.0.0.0
Rem    apfwkr      05/29/20 - Backport alestrel_bkpt_bug-31001455_19.0.0.0.0
Rem                           from st_rdbms_19
Rem    jgsudrik    07/15/21 - Backport of jgsudrik_bug-31639082
Rem    apfwkr      06/01/21 - apfwkr_blr_backport_32610271_19.8.0.0.200714dbru
Rem    apfwkr      03/11/21 - Backport apfwkr_blr_backport_32252294_19.0.0.0.0
Rem    apfwkr      02/04/21 - apfwkr_blr_backport_29370363_19.8.0.0.200714dbru
Rem    apfwkr      02/04/21 - apfwkr_blr_backport_28971177_19.8.0.0.200714dbru
Rem    apfwkr      03/20/20 - apfwkr_ci_backport_29644426_19.0.0.0.0dbru
Rem    alestrel    01/23/20 - apfwkr_ci_backport_30305880_19.0.0.0.0dbru
Rem    apfwkr      07/30/19 - apfwkr_ci_backport_29202461_19.0.0.0.0dbru
Rem    apfwkr      03/05/19 - apfwkr_ci_backport_29032457_19.0.0.0.0dbru
Rem    apfwkr      02/16/21 - apfwkr_blr_backport_32252294_19.0.0.0.0
Rem    apfwkr      02/12/21 - Backport tchorma_bkpt_bug-31926848_19.0.0.0.0
Rem                           from st_rdbms_19
Rem    tchorma     09/29/20 - tchorma_bkpt_bug-31926848_19.0.0.0.0
Rem                           from st_rdbms_19
Rem    apfwkr      11/22/18 - Backport raeburns_bug-28944708 from main
Rem    raeburns    11/19/18 - Bug 28944708: Revise to avoid merge conflicts
Rem    raeburns    03/02/18 - Bug 27006120: add backport scripts for APF
Rem    raeburns    03/02/18 - Created
Rem

@?/rdbms/admin/sqlsessstart.sql

@?/rdbms/admin/backport_files/bug_29032457_apply.sql
@?/rdbms/admin/backport_files/bug_29202461_apply.sql
@?/rdbms/admin/backport_files/bug_30305880_apply.sql

@?/rdbms/admin/backport_files/bug_29644426_apply.sql
@?/rdbms/admin/backport_files/bug_31001455_apply.sql
@?/rdbms/admin/backport_files/bug_30952191_apply.sql
@?/rdbms/admin/backport_files/bug_31760592_apply.sql
@?/rdbms/admin/backport_files/bug_31816631_apply.sql
@?/rdbms/admin/backport_files/bug_31628311_apply.sql
@?/rdbms/admin/backport_files/bug_32252294_apply.sql

@?/rdbms/admin/backport_files/bug_31926848_apply.sql
@?/rdbms/admin/backport_files/bug_32003908_apply.sql
@?/rdbms/admin/backport_files/bug_29370363_apply.sql

@?/rdbms/admin/backport_files/bug_32610271_apply.sql
@?/rdbms/admin/backport_files/bug_31639082_apply.sql
@?/rdbms/admin/backport_files/bug_31113455_apply.sql
@?/rdbms/admin/backport_files/bug_30518114_apply.sql

@?/rdbms/admin/backport_files/bug_32012400_apply.sql
@?/rdbms/admin/backport_files/bug_29524043_apply.sql
@?/rdbms/admin/backport_files/bug_32258388_apply.sql
@?/rdbms/admin/backport_files/bug_28971177_apply.sql
@?/rdbms/admin/backport_files/bug_34090927_apply.sql
@?/rdbms/admin/backport_files/bug_32880490_apply.sql
@?/rdbms/admin/backport_files/bug_33942581_apply.sql
@?/rdbms/admin/backport_files/bug_34733173_apply.sql
@?/rdbms/admin/backport_files/bug_35161640_apply.sql
@?/rdbms/admin/backport_files/bug_35480864_apply.sql
@?/rdbms/admin/backport_files/bug_35432647_apply.sql
@?/rdbms/admin/sqlsessend.sql

